﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS500B (1 yr) Delay Match IEEE /9100+Opt600
INSTRUMENT:            Sub TDS500B (1 yr) Time Base IEEE /9100+Opt600
INSTRUMENT:            Sub TDS500B (1 yr) Trig Time Acc IEEE /9100+Opt600
INSTRUMENT:            Sub TDS500B (1 yr) Trig Level Acc IEEE /9100+Opt600
INSTRUMENT:            Sub TDS500B (1 yr) Output Signal IEEE /9100+Opt600
DATE:                  2009-11-19 20:16:55
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       26
NUMBER OF LINES:       666
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 500B
#          TDS 520B, TDS 540B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        91_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        91_4ck_6.jpg      Picture: Main Trigger Out
#        91_4ck_7.jpg      Picture: Delay Trigger Out
#        91_4ck_8.jpg      Picture: Signal/Source Out Test
#        91_4ck12.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 2
#        91_4ck13.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 3
#        91_4ck14.jpg      Picture: 9100 Scope Sig Out to UUT CH 1 & 4
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DELAY_MATCH                  PSUBI("Delay Match")
  1.002  JMPL         SAMPLE_RATE                  PSUBI("Time Base")
  1.003  JMPL         TRIGGER_TIME_ACCURACY        PSUBI("Trig Time Acc")
  1.004  JMPL         TRIGGER_LEVEL_ACCURACY       PSUBI("Trig Level Acc")
  1.005  JMPL         OUTPUT_SIGNAL                PSUBI("Output Signal")
  1.006  DISP         {Undefined subprocedure!}
  1.007  END

  1.008  EVAL   Increment step number

# ******************************* Delay Match *****************************

  2.001  LABEL        DELAY_MATCH
  2.002  RSLT         =
  2.003  HEAD         {CHECK DELAY BETWEEN CHANNELS}
  2.004  TARGET
  2.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  2.006  MATH         MainScale = 250E-12
# Turn on the horizontal zoom function.
  2.007  IEEE2        ZOOM:STATE ON
  2.008  IEEE2        HOR:MAI:SCA [V MainScale]
  2.009  IEEE2        ZOOM:HOR:SCALE 2.0
  2.009  IEEE2        ZOOM:VERTICAL:SCALE 1.0
  2.009  IEEE2        ZOOM:HOR:LOCK ALL

  2.010  IEEE2        ACQ:STOPAFTER RUNSTOP;MODE AVERAGE;NUMAVG 16
  2.011  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  2.012  IEEE2        CURS:FUNC PAI;MOD IND
  2.012  IEEE2        CURS:PAI:SEL CURSOR1
# This test requires the measurement of all four channels while triggering on
# Channel 1.  We have to display each waveform and walk up the waveform and
# read the voltage until we reach the zero crossing point. We would have
# liked to store each waveform in reference memory and make a delta time
# measurement with the cursors.  Unfortunately, the cursors have to track one
# waveform at a time, and there are no commands to automate this  function
# any better.

# Set horizontal starting position for Cursor Walker(-2.5 div).
  2.013  MATH         @StartPos = -2.5 * MainScale
# Set loop control variable of measurements.
  2.014  MATH         LoopTimes = 0
# Set maximum checking times for Sub TDS500/600/700 Check Trig Status IEEE.
  2.015  MATH         @TriggeredChkTimes = 3
# The trigger must be put to channel 1 before channel delay test.
  2.016  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC

# Loop 2 times in order to get average of channel delay.
  2.017  DO
  2.018  MATH         Chan = 1

# Loop from channel 1 to 2 or 4 by the UUT models.
  2.019  DO

  2.020  IF           LoopTimes == 0
  2.021  MATH         Test = "First Test"
  2.022  ELSE
  2.023  MATH         Test = "Second Test"
  2.024  ENDIF

  2.025  HEAD         -2 DELAY: Channel [V Chan] ([V Test])

  2.026  IF           Chan == 1
  2.027  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  2.028  ELSEIF       Chan == 2
  2.029  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  2.030  ELSEIF       Chan == 3
  2.031  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  2.032  ELSE
  2.033  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  2.034  ENDIF

  2.035  IEEE2        ZOOM:HOR:SCALE 2.0
  2.035  IEEE2        ZOOM:VERTICAL:SCALE 1.0
  2.035  IEEE2        ZOOM:HOR:LOCK ALL

# loop if UUT not trigged.
  2.036  DO

  2.037  IF           Chan != 2
  2.038  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  2.039  ENDIF

  2.040  IF           Chan == 1
  2.041  PIC          91_4ck12.jpg
  2.042  ELSEIF       Chan == 3
  2.043  PIC          91_4ck13.jpg
  2.044  ELSEIF       Chan == 4
  2.045  PIC          91_4ck14.jpg
  2.046  ENDIF

  2.047  IEEE2        [T30000]ACQ:STATE RUN
  2.048  9100         600mVpp                      250MH          LS SC S  L
  2.049  IEEE2        TRIG:MAI SETL
  2.050  WAIT         -t 3 Settling...

  2.051  IF           Chan == 1
# Check the channel 1, 2 to see whether the signal have been connected into.
  2.052  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.053  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.054  MATH         HookupOK = @Triggered

  2.055  IEEE2        TRIG:MAI:EDGE:SOU CH2;COUP DC
  2.056  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.057  MATH         HookupOK = HookupOK && @Triggered

  2.058  ELSEIF       Chan > 2
# Check the channel 1 to see whether the signal have been connected into.
  2.059  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.060  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.061  MATH         HookupOK = @Triggered

# Check the channel under test whether the signal have been connected into.
  2.062  IEEE2        TRIG:MAI:EDGE:SOU CH[V Chan];COUP DC
  2.063  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.064  MATH         HookupOK = HookupOK && @Triggered
  2.065  ENDIF

  2.066  IF           NOT(HookupOK)
  2.067  DISP         The UUT is not triggered!
  2.067  DISP         Check connections.
  2.068  ENDIF

  2.069  UNTIL        HookupOK

# The trigger must be put to channel 1 before channel delay test.
  2.070  IEEE2        TRIG:MAI:EDGE:SOU CH1;COUP DC
  2.071  IEEE2        TRIG:MAI SETL
  2.072  WAIT         -t 3 Settling...
  2.073  CALL         Sub TDS500/600/700 Read Time by Cursor Walker IEEE

  2.074  IF           Chan == 1
  2.075  MATH         L[1] = @TimeVal
  2.076  ELSEIF       Chan == 2
  2.077  MATH         L[2] = @TimeVal
  2.078  ELSEIF       Chan == 3
  2.079  MATH         L[3] = @TimeVal
  2.080  ELSE
  2.081  MATH         L[4] = @TimeVal
  2.082  ENDIF

  2.083  MATH         Chan = Chan + 1
  2.084  UNTIL        Chan > 4

  2.085  IF           LoopTimes < 1
# Save the first set of readings and take another.
  2.086  MATH         L[11] = L[1]
  2.087  MATH         L[12] = L[2]
  2.088  MATH         L[13] = L[3]
  2.089  MATH         L[14] = L[4]
  2.090  ENDIF

  2.091  MATH         LoopTimes = LoopTimes + 1
# Exit to compare readings if two sets of data have been taken.
  2.092  UNTIL        LoopTimes > 1

# Calculate the average skew between channel 1 & 2
  2.093  MATH         L[6] = (ABS(L[1] - L[2]) + ABS(L[11] - L[12])) / 2
# Calculate the average skew between channel 1 & 3
  2.094  MATH         L[7] = (ABS(L[1] - L[3]) + ABS(L[11] - L[13])) / 2
# Calculate the average skew between channel 1 & 4
  2.095  MATH         L[8] = (ABS(L[1] - L[4]) + ABS(L[11] - L[14])) / 2
# Calculate the greatest amount of skew
  2.096  MATH         MEM = MAX_L(6, 8) / 1E-12

  2.097  MATH         RtStr = FMT(MEM, "%.1f") & " ps"
  2.098  MEM2         = Delay Limit between: ±50 ps, Result: [V RtStr]
  2.099  EVAL   -e (MEM >= -50) && (MEM <= 50) : [MEM2]

  3.001  HEAD         -2
  3.002  HEAD
  3.003  9100         *                                                 S
  3.004  END

  3.005  EVAL   Increment step number

# ******************************** Sample Rate *****************************

  4.001  LABEL        SAMPLE_RATE
  4.002  RSLT         =
  4.003  RSLT         =TIME BASE SYSTEM CHECKS
  4.004  RSLT         =
  4.005  HEAD         { SAMPLE RATE AND DELAY TIME ACCURACY}
  4.006  TSET         NMEAS = 1 NTHROW = 0
  4.007  TARGET       -p
  4.008  CALL         Sub TDS500/600/700 Select Channel IEEE
  4.009  IEEE2        CH[V @Chan]:SCA 500E-3
  4.010  IEEE2        HOR:MAI:SCA 1E-3
  4.011  IEEE2        CH[V @Chan]:IMP FIF;POSITION 0.0
  4.012  IEEE2        HOR:TRIG:POS 50
  4.013  IEEE2        HOR:POS 50
  4.014  IEEE2        HOR:MODE DELAYED

  4.015  MATH         DelayScale = 100E-9
  4.016  IEEE2        HOR:DEL:SEC [V DelayScale]
  4.017  IEEE2        TRIG:MAI:MODE NORM
  4.018  9100         10mT                         1Vpp           MK SC S  L
  4.019  WAIT         -t 3 System Settling ...
  4.020  IEEE2        TRIG:MAI SETL
  4.021  TARGET       -m
  4.022  IEEE2        CURS:FUNC PAI
# Initialize the cursor position -4.5 divisions from the center
  4.023  MATH         StartPos = -1 * 4.5 * DelayScale
  4.024  MATH         StopPos = 4.5 * DelayScale
  4.025  IEEE2        CURS:PAI:POSITION1 [V StartPos];POSITION2 0.0
# Initialize the cursor position -4.5 divisions from the center
  4.026  MATH         CurrentPos = StartPos

# Coarse tuning mode
  4.027  DO
# Start Moving and Reading the cursor
  4.028  MATH         MEM = CurrentPos
# Set the vertical cursor position
  4.029  IEEE2        CURS:PAI:POSITION1 [MEM]
  4.030  WAIT         [D1000]
# Read the vertical cursor position
  4.031  IEEE2        CURS:PAI:POSITION1?[I]
  4.032  MATH         VPos = MEM
# Read the horizontal cursor position
  4.033  IEEE2        CURS:PAI:HPOS1?[I]
  4.034  MATH         HPos = MEM
# Set up string to print in the header
  4.035  MATH         MEM2 = "Vert Cursor = "& VPos & " Hor Cursor = " & HPos
  4.036  HEAD         -2 [MEM2]
# (Forward, time increment is one fifth of delay time base scale).
  4.037  MATH         CurrentPos = CurrentPos + DelayScale / 5
# If the time exceeds +4.5 div, the test has failed and jump out.
# If the voltage exceeds 0.100 volts, then we are on the rise time.
  4.038  UNTIL        (VPos > StopPos) || (HPos >= 0.100)

# Fine Tuning Mode
  4.039  DO
  4.040  MATH         MEM = CurrentPos
# Set the vertical cursor position
  4.041  IEEE2        CURS:PAI:POSITION1 [MEM]
  4.042  WAIT         [D1000]
# Read the horizontal cursor position
  4.043  IEEE2        CURS:PAI:POSITION1?[I]
  4.044  MATH         VPos = MEM
# Read the vertical cursor position
  4.045  IEEE2        CURS:PAI:HPOS1?[I]
  4.046  MATH         HPos = MEM
# Set up string to print in the Header
  4.047  MATH         MEM2 = "Hor Cursor = "& VPos & " Vert Cursor = " & HPos
  4.048  HEAD         -2 [MEM2]
# (backwards, time decrease is one fiftieth of delay time base scale).
  4.049  MATH         CurrentPos = CurrentPos - DelayScale / 50
# If the Time Exceeds -4.5 div, the test has failed and jump out.
# If the voltage below 0.01 volts, then we are on the base line.
  4.050  UNTIL        (VPos <= StartPos) || (HPos <= 0.010)

# Convert the delay time result according the horizontal delay scale.
  4.051  IEEE2        CURS:PAI:POSITION1?[I]
  4.052  MATH         MEM = MEM / DelayScale

# Check the accuracy of calibrator 10 ms marker signal.
  4.053  MATH         L[1] = ACCV2("Datron 9100", "Hertz", 1 / 10E-3, 1)
# Convert to absolute of display division based the delay time base scale.
  4.054  MATH         L[1] = (10E-3 * (L[1] / (1 / 10E-3))) / DelayScale
  4.055  ACC          0.00div        L1U
  4.056  MEMCX        0.00div        2.5U

  5.001  HEAD         -2
  5.002  9100         *                                                 S
  5.003  END

  5.004  EVAL   Increment step number

# **************************** Trigger Time Acc ************************

  6.001  LABEL        TRIGGER_TIME_ACCURACY
  6.002  RSLT         =
  6.003  RSLT         =TRIGGER SYSTEM CHECKS
  6.004  RSLT         =
  6.005  RSLT         =TIME ACCURACY for PULSE,GLICH,TIMEOUT,WIDTH TRIGGERING
  6.006  RSLT         =
  6.007  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale <= 1 µs}
  6.008  TARGET
  6.009  CALL         Sub TDS500/600/700 Select Channel IEEE
  6.010  IEEE2        HOR:MAI:SCA 12.5E-9
  6.011  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
  6.012  9100         500mVpp                      100MH          LS SC S  L
  6.013  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  6.014  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  6.015  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9;LOWL 2E-9
  6.016  IEEE2        TRIG:MAI SETL

# Set Maximum checking times for Sub TDS500/600/700 Check Trig Status IEEE
  6.017  MATH         @TriggeredChkTimes = 3
# Set the bounds of test tolerance.
  6.018  MATH         LowerLimit = 3.5E-9; UpperLimit = 6.5E-9
# Find the pulse width lower Limit setting that could make triggering lost.
  6.019  MATH         Readout = LowerLimit

  6.020  DO
  6.021  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  6.022  HEAD         -2 100 MHz, Lower Limit [MEM2] ns
  6.023  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  6.024  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  6.025  IF           @Triggered
  6.026  MATH         Readout = Readout + 0.1E-9
  6.027  ENDIF

  6.028  UNTIL        Readout > UpperLimit || NOT(@Triggered)

  6.029  MATH         S[2] = FMT(LowerLimit / 1E-9, "%.1f") & " ns"
  6.030  MATH         S[3] = FMT(UpperLimit / 1E-9, "%.1f") & " ns"
  6.031  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  6.032  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  6.033  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  7.001  9100         500mVpp                      100MH          LS SC S  L
# Set the pulse width lower limit back in order to reestablish triggering
  7.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 2E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  7.003  MATH         Readout = UpperLimit

  7.004  DO
  7.005  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  7.006  HEAD         -2 100 MHz, Upper Limit [MEM2] ns
  7.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  7.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  7.009  IF           @Triggered
  7.010  MATH         Readout = Readout - 0.1E-9
  7.011  ENDIF

  7.012  UNTIL        Readout < LowerLimit || NOT(@Triggered)

  7.013  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  7.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  7.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
  8.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9

  8.002  HEAD         -2
  8.003  9100         *                                                 S

  8.004  RSLT         =
  8.005  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale > 1 µs}
  8.006  TARGET
  8.007  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  8.008  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  8.009  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6;LOWL 500E-9
  8.010  IEEE2        HOR:SCA 5E-6
  8.011  9100         500mVpp                      250kH          LS SC S  L
  8.012  WAIT         -t 2 Settling...
  8.013  IEEE2        CH[V @Chan]:SCA 20E-3
  8.014  IEEE2        TRIG:MAI SETL

  8.015  MATH         LowerLimit = 1.9E-6; UpperLimit = 2.1E-6
# Find the pulse width lower Limit setting that could make triggering lost.
  8.016  MATH         Readout = LowerLimit

  8.017  DO
  8.018  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  8.019  HEAD         -2 250 kHz, Lower Limit [MEM2] µs
  8.020  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  8.021  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  8.022  IF           @Triggered
  8.023  MATH         Readout = Readout + 0.01E-6
  8.024  ENDIF

  8.025  UNTIL        Readout > UpperLimit || NOT(@Triggered)

  8.026  MATH         S[2] = FMT(LowerLimit / 1E-6, "%.2f") & " µs"
  8.027  MATH         S[3] = FMT(UpperLimit / 1E-6, "%.2f") & " µs"
  8.028  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  8.029  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  8.030  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  9.001  9100         500mVpp                      250kH          LS SC S  L
# Set the pulse width lower limit back in order to reestablish triggering
  9.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 500E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  9.003  MATH         Readout = UpperLimit

  9.004  DO
  9.005  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  9.006  HEAD         -2 250 kHz, Upper Limit [MEM2] µs
  9.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  9.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  9.009  IF           @Triggered
  9.010  MATH         Readout = Readout - 0.01E-6
  9.011  ENDIF

  9.012  UNTIL        Readout > LowerLimit || NOT(@Triggered)

  9.013  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  9.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  9.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
 10.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6

 10.002  HEAD         -2
 10.003  9100         *                                                 S
 10.004  END

 10.005  EVAL   Increment step number

# **************************** Trigger Level Acc ************************

 11.001  LABEL        TRIGGER_LEVEL_ACCURACY
 11.002  RSLT         =
 11.003  HEAD         {TRIG LEVEL OR THRESHOLD ACCURACY}
 11.004  RSLT         =
 11.005  HEAD         -2{ Main Trigger Level, DC Coupled, Positive Slope}
 11.006  TARGET       -p
 11.007  CALL         Sub TDS500/600/700 Select Channel IEEE
 11.008  IEEE2        CH[V @Chan]:SCA 200E-3;POS -3;OFFS +10.0
 11.009  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];SLO RISE
 11.010  9100         10.0000V                                       SC S
 11.011  WAIT         -t 2 Settling...
 11.012  TARGET       -m
 11.013  IEEE2        TRIG:MAI SETL
 11.014  IEEE2        TRIG:MAI:LEV?[I]
 11.015  MEMCX        10.0000V       0.1147U

 12.001  RSLT         =
 12.002  HEAD         -2{ Main Trigger Level, DC Coupled, Negative Slope}
 12.003  TARGET       -p
 12.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
 12.005  9100         10.0000V                                       SC S
 12.006  WAIT         -t 2 Settling...
 12.007  IEEE2        TRIG:MAI SETL
 12.008  TARGET       -m
 12.009  IEEE2        TRIG:MAI:LEV?[I]
 12.010  MEMCX        10.0000V       0.1147U

 13.001  RSLT         =
 13.002  HEAD         -2{ Delayed Trigger Level, DC Coupled, Positive Slope}
 13.003  TARGET       -p
 13.004  IEEE2        HOR:MOD DELAYED
 13.005  IEEE2        HOR:DEL:MODE TRIGA;SEC 500E-6
 13.006  IEEE2        TRIG:MAI:EDGE:SLO RISE
 13.007  IEEE2        TRIG:DEL:EDGE:SLO RISE
 13.008  9100         10.0000V                                       SC S
 13.009  WAIT         -t 2 Settling...
 13.010  TARGET       -m
 13.011  IEEE2        TRIG:DEL SETL
 13.012  IEEE2        TRIG:DEL:LEV?[I]
 13.013  MEMCX        10.0000V       0.1147U

 14.001  RSLT         =
 14.002  HEAD         -2{ Delayed Trigger Level, DC Coupled, Negative Slope}
 14.003  TARGET       -p
 14.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
 14.005  IEEE2        TRIG:DEL:EDGE:SLO FALL
 14.006  9100         10.0000V                                       SC S
 14.007  WAIT         -t 2 Settling...
 14.008  TARGET       -m
 14.009  IEEE2        TRIG:DEL SETL
 14.010  IEEE2        TRIG:DEL:LEV?[I]
 14.011  MEMCX        10.0000V       0.1147U

 15.001  9100         *                                                 S
 15.002  HEAD         -2
 15.003  END

 15.004  EVAL   Increment step number

# ************************** Output Signal *********************************

 16.001  LABEL        OUTPUT_SIGNAL
 16.002  RSLT         =
 16.003  HEAD         {OUTPUT SIGNAL CHECKS}
 16.004  RSLT         =
 16.005  HEAD         -2{ Main Trigger Output, 1 MOhm Impedance}
 16.006  TARGET
 16.007  MATH         @Chan = 3
 16.008  CALL         Sub TDS500/600/700 Select Channel IEEE
 16.009  IEEE2        HOR:MAI:SCA 200.0E-6
 16.010  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
 16.011  IEEE2        TRIG:MAI:EDGE:SOU CH3

 16.012  DO
 16.013  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 16.014  PIC          91_4ck_6.jpg
# Note: We discovered that the manual was incorrect on the output of the
# test signal.  Instead of 0.500 Volts DC, the output should be 0.500 volts
# peak to peak square wave.  This was verified by Tektronix.
 16.015  9100         500mVpp                      1kH            ZQ SC S
 16.016  IEEE2        TRIG:MAI SETL
# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
 16.017  MATH         @TriggeredChkTimes = 3
 16.018  CALL         Sub TDS500/600/700 Check Trig Status IEEE

 16.019  IF           @Triggered == 0
 16.020  DISP         The UUT is not triggered!
 16.020  DISP         Check connections.
 16.021  ENDIF

 16.022  UNTIL        @Triggered

 16.023  IEEE2        SELECT:CH3 OFF;CH2 ON
 16.024  IEEE2        CH2:SCA 1;POS -2.0
 16.025  IEEE2        MEASU:METH MINM
 16.026  IEEE2        ACQ:MODE AVE;NUMAV 64;STATE RUN
 16.027  IEEE2        MEASU:MEAS1:SOU CH2;TYPE HIGH;STATE ON
 16.028  IEEE2        MEASU:MEAS2:SOU CH2;TYPE LOW;STATE ON
 16.029  WAIT         -t 2 Settling...
 16.030  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 16.031  MATH         Result = FMT(MEM, "%.1f") & " V"
 16.032  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
 16.033  EVAL   -e MEM >= 2.5 : [MEM2]

 17.001  9100         500mVpp                      1kH            ZQ SC S
 17.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 17.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 17.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
 17.005  EVAL   -e MEM <= 0.7 : [MEM2]

 18.001  RSLT         =
 18.002  HEAD         -2{ Main Trigger Output, 50 Ohm Impedance}
 18.003  TARGET
 18.004  IEEE2        CH2:IMP FIF
 18.005  9100         500mVpp                      1kH            ZQ SC S
 18.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 18.007  MATH         Result = FMT(MEM, "%.1f") & " V"
 18.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
 18.009  EVAL   -e MEM >= 1.0 : [MEM2]

 19.001  9100         500mVpp                      1kH            ZQ SC S
 19.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 19.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 19.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 19.005  EVAL   -e MEM <= 0.25 : [MEM2]

 20.001  RSLT         =
 20.002  HEAD         -2{ Delayed Trigger Output, 1 MOhm Impedance}
 20.003  TARGET
 20.004  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 20.005  PIC          91_4ck_7.jpg
 20.006  IEEE2        CH2:IMP MEG
 20.007  9100         500mVpp                      1kH            ZQ SC S
 20.008  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 20.009  MATH         Result = FMT(MEM, "%.1f") & " V"
 20.010  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
 20.011  EVAL   -e MEM >= 2.5 : [MEM2]

 21.001  9100         500mVpp                      1kH            ZQ SC S
 21.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 21.003  MATH         Result = FMT(MEM, "%.1f") & " V"
 21.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
 21.005  EVAL   -e MEM <= 0.7 : [MEM2]

 22.001  RSLT         =
 22.002  HEAD         -2{ Delayed Trigger Output, 50 Ohm Impedance}
 22.003  TARGET
 22.004  IEEE2        CH2:IMP FIF
 22.005  9100         500mVpp                      1kH            ZQ SC S
 22.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 22.007  MATH         Result = FMT(MEM, "%.1f") & " V"
 22.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
 22.009  EVAL   -e MEM >= 1.0 : [MEM2]

 23.001  IEEE2        MEASU:IMMED:TYPE LOW
 23.002  9100         500mVpp                      1kH            ZQ SC S
 23.003  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
 23.004  MATH         Result = FMT(MEM, "%.1f") & " V"
 23.005  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
 23.006  EVAL   -e MEM <= 0.25 : [MEM2]
 24.001  IEEE2        MEASU:MEAS1:STATE OFF
 24.002  IEEE2        MEASU:MEAS2:STATE OFF

 24.003  RSLT         =
 24.004  HEAD         -2{ Signal Output, 1 MOhm Impedance}
 24.005  TARGET
 24.006  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 24.007  PIC          91_4ck_8.jpg
 24.008  IEEE2        CH2:SCA 100E-3;POS 0.0;IMP MEG
 24.009  IEEE2        TRIG:MAI:EDGE:SOU CH3
 24.010  IEEE2        MEASU:MEAS1:SOU CH2;TYPE PK2P;STATE ON
 24.011  9100         500mVpp                      1kH            ZQ SC S
 24.012  IEEE2        TRIG:MAI SETL
 24.013  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 24.014  MATH         MEM = MEM / 1E-3
 24.015  MATH         Result = FMT(MEM, "%.0f") & " mV"
 24.016  MEM2         = Signal Output: [V Result], Bounds: 88 mV to 132 mV
 24.017  EVAL   -e (MEM >= 88) && (MEM <= 132) : [MEM2]

 25.001  RSLT         =
 25.002  HEAD         -2{ Signal Output, 50 Ohm Impedance}
 25.003  TARGET
 25.004  IEEE2        CH2:IMP FIF
 25.005  9100         500mVpp                      1kH            ZQ SC S
 25.006  IEEE2        TRIG:MAI SETL
 25.007  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 25.008  MATH         MEM = MEM / 1E-3
 25.009  MATH         Result = FMT(MEM, "%.0f") & " mV"
 25.010  MEM2         = Signal Output: [V Result], Bounds: 44 mV to 66 mV
 25.011  EVAL   -e (MEM >= 44) && (MEM <= 66) : [MEM2]

 26.001  9100         *                                                 S
 26.002  HEAD         -2
 26.003  END

